Bug 432038 - no wireless connection
no wireless connection
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-08 10:07 EST by Jan Brosius
Modified: 2008-10-20 11:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-20 11:12:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Brosius 2008-02-08 10:07:33 EST
Description of problem: networkmanager icon doesn't give me the option "connect
to other wireless network" for kernel 2.6.23.14-115.fc8.
The wireless connection works for older kernel 2.6.23.14-107.fc8


Version-Release number of selected component (if applicable): latest version of
networkmanager and driver iwl4965


How reproducible: After I updated to latest kernel 2.6.23.14-115.fc8 and also
latest networkmanager I cannot  get the option "connect to other wireless
network" when I click on the networkmanager icon


Steps to Reproduce: for kernel 2.6.23.14-115.fc8
1.Activate with hardware switch the wireless connection
2.Click on networkmanager icon 
3.I don't get the option "connect to other wireless network" anymore. I am
unable to get a wireless connection
  
Actual results:


Expected results:


Additional info: I use a laptop Acer Aspire 9920G. The hardware nic is Intel
Pro/wireless 4965 
in /etc/modprobe.conf the latest sentence is
"alias wlan0 iwl4965"
I am a linux newbie.
Comment 1 Dan Williams 2008-02-08 10:25:40 EST
Do wireless networks show up at all in the menu?  When the problem occurs, can
you open a Terminal and run the following command:

/usr/bin/nm-tool

and copy & paste the output into this bug report?  Thanks!
Comment 2 Jan Brosius 2008-02-09 08:32:17 EST
(In reply to comment #1)
> Do wireless networks show up at all in the menu?  When the problem occurs, can
> you open a Terminal and run the following command:
> 
> /usr/bin/nm-tool
> 
> and copy & paste the output into this bug report?  Thanks!

This is what I get with the older kernel 2.6.23.14-107.fc8

[Jan@localhost ~]$ /usr/bin/nm-tool

NetworkManager Tool

State: connected

- Device: eth0 ----------------------------------------------------------------
  Type:              Wired
  Driver:            tg3
  Active:            no
  HW Address:        00:A0:D1:A2:BE:48

  Capabilities:
    Supported:       yes
    Carrier Detect:  yes
    Speed:           65535 Mb/s

  Wired Settings


- Device: wlan0 ----------------------------------------------------------------
  Type:              802.11 Wireless
  Driver:            iwl4965
  Active:            yes
  HW Address:        00:13:E8:F2:84:D5

  Capabilities:
    Supported:       yes
    Speed:           11 Mb/s

  Wireless Settings
    WEP Encryption:  yes
    WPA Encryption:  yes
    WPA2 Encryption: yes

  Wireless Access Points(* = Current AP)
    johanthuis:      Infra, 00:11:50:39:C8:70, Freq 2462 MHz, Rate 54 Mb/s,
Strength 31 WPA
    *WiFi_A6:        Infra, 00:12:BF:3A:8F:A6, Freq 2457 MHz, Rate 54 Mb/s,
Strength 70

  IP Settings:
    IP Address:      192.168.1.5
    Subnet Mask:     255.255.255.0
    Broadcast:       192.168.1.255
    Gateway:         192.168.1.1
    DNS:             192.168.1.1


[Jan@localhost ~]$ 

This is what I get with kernel 2.6.23.14-115.fc8 with either hard switch off or on:

[Jan@localhost ~]$ /usr/bin/nm-tool

NetworkManager Tool

State: disconnected

- Device: eth0 ----------------------------------------------------------------
  Type:              Wired
  Driver:            tg3
  Active:            no
  HW Address:        00:A0:D1:A2:BE:48

  Capabilities:
    Supported:       yes
    Carrier Detect:  yes
    Speed:           65535 Mb/s

  Wired Settings


- Device: wlan0 ----------------------------------------------------------------
  Type:              802.11 Wireless
  Driver:            iwl4965
  Active:            no
  HW Address:        00:13:E8:F2:84:D5

  Capabilities:
    Supported:       yes

  Wireless Settings
    WEP Encryption:  yes
    WPA Encryption:  yes
    WPA2 Encryption: yes

  Wireless Access Points


[Jan@localhost ~]$ /usr/bin/nm-tool

NetworkManager Tool

State: disconnected

- Device: eth0 ----------------------------------------------------------------
  Type:              Wired
  Driver:            tg3
  Active:            no
  HW Address:        00:A0:D1:A2:BE:48

  Capabilities:
    Supported:       yes
    Carrier Detect:  yes
    Speed:           65535 Mb/s

  Wired Settings


- Device: wlan0 ----------------------------------------------------------------
  Type:              802.11 Wireless
  Driver:            iwl4965
  Active:            no
  HW Address:        00:13:E8:F2:84:D5

  Capabilities:
    Supported:       yes

  Wireless Settings
    WEP Encryption:  yes
    WPA Encryption:  yes
    WPA2 Encryption: yes

  Wireless Access Points


[Jan@localhost ~]$ 




Comment 3 Jan Brosius 2008-05-03 07:49:21 EDT
Wireless connection works for kernel 2.6.24.5-85.fc8 : but I must turn on the
switch of my wireless card before the networkmanager daemon starts at boot. Then
also the light of my switch turns on. After logging in I am immediately prompted
for my keyring. Then networkmanager gives me very fast a wireless network
connection for my wireless network.
Comment 4 Dan Williams 2008-10-20 11:12:01 EDT
great, thanks for the success report.

Note You need to log in before you can comment on or make changes to this bug.